﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace RangeColumn129415
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            SfChart chart = new SfChart();
            chart.Margin = new Thickness(10);
            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis() { Interval = 10 };
            RangeColumnSeries rangeSeries = new RangeColumnSeries();
            rangeSeries.ItemsSource = new ViewModel().Collection;
            rangeSeries.XBindingPath = "XValue";
            rangeSeries.High = "High";
            rangeSeries.Low = "Low";
            chart.Series.Add(rangeSeries);
            mainGrid.Children.Add(chart);
        }
    }
}
